<?php

    namespace FederationLib\Exceptions;

    use Exception;
    use Throwable;

    class RedisException extends Exception
    {
        /**
         * @param string $message
         * @param int $code
         * @param Throwable|null $previous
         * @noinspection SenselessProxyMethodInspection
         */
        public function __construct(string $message = "", int $code = 0, ?Throwable $previous = null)
        {
            parent::__construct($message, $code, $previous);
        }
    }