<?php

namespace FederationLib\Exceptions\Standard;

use Exception;
use FederationLib\Enums\Standard\ErrorCodes;
use Throwable;

class PeerMetadataNotFoundException extends Exception
{
    /**
     * @param string $message
     * @param Throwable|null $previous
     */
    public function __construct(string $message = "", ?Throwable $previous = null)
    {
        parent::__construct($message, ErrorCodes::PEER_METADATA_NOT_FOUND, $previous);
    }
}